<?php
/**
 * Filename: _init.php
 * Created by: Voodoo Suite Plugins
 * Copyright:2018 All Rights Reserved - Voodoo Suite Plugins
 *
 * Skype: blogprofitnetwork
 * Email: marcus@voodoosuite.com
 * GTalk: marcus@voodoosuite.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

class funnelVoodooInit {
    function __construct() {
        //* init
        add_action('init', array($this, 'init'));
    }

    function init() {
        //* execute only inside of wp-admin and specifically to our plugins page only
        add_action('admin_init', array($this, 'adminScriptsAndStyles'));

        //* execute this on user-end side only.
	    add_action('wp_head', array($this, 'userWpHead'));
	    add_action('wp_head', array($this, 'userWpFooter'));
    }

    function userWpHead() {
    	//* Fancyapps / Fancybox
    	wp_enqueue_style('fancyapps-css', FUNNELVOODOO_URL .'/tmpl/js/fancyapps/source/jquery.fancybox.css');
	    wp_enqueue_style('fancyapps-helpers-buttons-css', FUNNELVOODOO_URL .'/tmpl/js/fancyapps/source/helpers/jquery.fancybox-buttons.css');
	    wp_enqueue_style('fancyapps-helpers-thumb-css', FUNNELVOODOO_URL .'/tmpl/js/fancyapps/source/helpers/jquery.fancybox-thumbs.css');
    }

    function userWpFooter() {
    	//* Fancyapps / Fancybox
	    wp_enqueue_script('fancyapps-js', FUNNELVOODOO_URL . '/tmpl/js/fancyapps/source/jquery.fancybox.pack.js');
	    wp_enqueue_script('fancyapps-mousewheel-js', FUNNELVOODOO_URL .'/tmpl/js/fancyapps/lib/jquery.mousewheel-3.0.6.pack.js');
	    wp_enqueue_script('fancyapps-helpers-buttons-js', FUNNELVOODOO_URL .'/tmpl/js/fancyapps/source/helpers/jquery.fancybox-buttons.js');
	    wp_enqueue_script('fancyapps-helpers-media-js', FUNNELVOODOO_URL .'/tmpl/js/fancyapps/source/helpers/jquery.fancybox-media.js');
	    wp_enqueue_script('fancyapps-helpers-thumb-js', FUNNELVOODOO_URL .'/tmpl/js/fancyapps/source/helpers/jquery.fancybox-thumbs.js');
	    ?>

	    <script type="text/javascript">
		    var funnelVoodooFooterJs = jQuery.noConflict();
		    funnelVoodooFooterJs(function($) {
		    	$('#cmdOptinPopup').fancybox({
				    maxWidth        : 325,
				    maxHeight       : 300,
				    fitToView       : false,
				    width           : '70%',
				    height          : '70%',
				    autoSize        : false,
				    closeToClick    : false,
				    openEffect      : 'elastic',
				    closeEffect     : 'fade'
			    });
		    });
	    </script>

		<?php
    }

    function adminScriptsAndStyles() {
        $pages = array(FUNNELVOODOO_CODE);
        if (in_array(trim(strip_tags($_GET['page'])), $pages)) {

            //* jQueryUI effects
            wp_enqueue_script('jquery-ui-core');
            wp_enqueue_script('jquery-effects-core');

            wp_enqueue_script('jquery-ui-accordion');
            wp_enqueue_script('jquery-ui-autocomplete');
            wp_enqueue_script('jquery-ui-button');
            wp_enqueue_script('jquery-ui-datepicker');
            wp_enqueue_script('jquery-ui-dialog');
            wp_enqueue_script('jquery-ui-draggable');
            wp_enqueue_script('jquery-ui-droppable');
            wp_enqueue_script('jquery-ui-mouse');
            wp_enqueue_script('jquery-ui-position');
            wp_enqueue_script('jquery-ui-progressbar');
            wp_enqueue_script('jquery-ui-selectable');
            wp_enqueue_script('jquery-ui-slider');
            wp_enqueue_script('jquery-ui-sortable');
            wp_enqueue_script('jquery-ui-tabs');
            wp_enqueue_script('jquery-ui-widget');

            //* media upload and popup
            wp_enqueue_script('thickbox');
            wp_enqueue_style('thickbox');
            wp_enqueue_script('media-upload');

            //* colorpicker
            wp_enqueue_script('iris');

            //* jQueryUI theme
            wp_enqueue_style('jquery-ui-css', FUNNELVOODOO_URL . '/tmpl/css/base/jquery-ui.css');

            //* cookie
            wp_enqueue_script('jquery-cookie-js', FUNNELVOODOO_URL . '/tmpl/js/jquery.cookie.js');

            //* DataTables
            wp_enqueue_script('database-js', FUNNELVOODOO_URL . '/tmpl/js/DataTables/media/js/jquery.dataTables.min.js');
//            wp_enqueue_style('dataTables-css', FUNNELVOODOO_URL . '/tmpl/js/DataTables/media/css/jquery.dataTables_themeroller.css');

            //* tinyMCE fixed
            wp_enqueue_script('tinymce-fixed-js', FUNNELVOODOO_URL . '/tmpl/js/tinymce-fixed.js');

            //* ZeroClipboard
            wp_enqueue_script('zeroclipboard-js', FUNNELVOODOO_URL . '/tmpl/js/ZeroClipboard/ZeroClipboard.min.js');

            //* Fancyapps / Fancybox
            wp_enqueue_script('fancyapps-js', FUNNELVOODOO_URL . '/tmpl/js/fancyapps/source/jquery.fancybox.pack.js');
            wp_enqueue_script('fancyapps-mousewheel-js', FUNNELVOODOO_URL .'/tmpl/js/fancyapps/lib/jquery.mousewheel-3.0.6.pack.js');
            wp_enqueue_script('fancyapps-helpers-buttons-js', FUNNELVOODOO_URL .'/tmpl/js/fancyapps/source/helpers/jquery.fancybox-buttons.js');
            wp_enqueue_script('fancyapps-helpers-media-js', FUNNELVOODOO_URL .'/tmpl/js/fancyapps/source/helpers/jquery.fancybox-media.js');
            wp_enqueue_script('fancyapps-helpers-thumb-js', FUNNELVOODOO_URL .'/tmpl/js/fancyapps/source/helpers/jquery.fancybox-thumbs.js');

            wp_enqueue_style('fancyapps-css', FUNNELVOODOO_URL .'/tmpl/js/fancyapps/source/jquery.fancybox.css');
            wp_enqueue_style('fancyapps-helpers-buttons-css', FUNNELVOODOO_URL .'/tmpl/js/fancyapps/source/helpers/jquery.fancybox-buttons.css');
            wp_enqueue_style('fancyapps-helpers-thumb-css', FUNNELVOODOO_URL .'/tmpl/js/fancyapps/source/helpers/jquery.fancybox-thumbs.css');

            //* metroui
            wp_enqueue_style('metro-ui-css', FUNNELVOODOO_URL .'tmpl/css/metro-ui/css/metro.min.css');
            wp_enqueue_style('metro-ui-icons-css', FUNNELVOODOO_URL .'tmpl/css/metro-ui/css/metro-icons.min.css');
            wp_enqueue_style('metro-ui-responsive-css', FUNNELVOODOO_URL .'tmpl/css/metro-ui/css/metro-responsive.min.css');
            wp_enqueue_script('metro-ui-js', FUNNELVOODOO_URL .'tmpl/css/metro-ui/js/metro.min.js');

            //* custom css... always add this to the last part. overriding will be much easy.
            wp_enqueue_style('custom-css', FUNNELVOODOO_URL . '/tmpl/css/custom.css');

        }
    }

}

new funnelVoodooInit();
