<?php
/**
 * Filename: _shortcodes_optins.php
 * Created by: Voodoo Suite Plugins
 * Copyright 2017 - voodoosuite.com <marcus@voodoosuite.com> (http://voodoosuite.com)
 *
 * Skype: blogprofitnetwork
 * Email: marcus@voodoosuite.com
 * GTalk: marcus@voodoosuite.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

class funnelVoodooShortcodesOptins {
	function __construct() {
		add_action('init', array($this, 'init'));
	}

	function init() {
		add_shortcode(FUNNELVOODOO_CODE .'_optin', array($this, 'code'));
	}

	function code($atts) {
		ob_start();
		$this->content($atts);
		$content = ob_get_clean();
		return $content;
	}

	function content($atts) {
		extract (shortcode_atts(array(
			'id'    => ''
		), $atts));

		global $funnelVoodooDatabase,
			$funnelVoodooHelpers,
			$funnelVoodooThemes;


		$optin          = get_option($funnelVoodooDatabase->tableOptins .'_'. $id);
		$aweber			= $optin['aweber'];
		$popup          = $optin['popup'];
		$theme          = $optin['theme'];
		$themeConfig	= $funnelVoodooThemes->themes[$theme['id']];



		if ($optin['enable'] == FUNNELVOODOO_ENABLED) {
			?>


			<style type="text/css">
				.squeezepro-v3-code-<?php echo $id; ?> {
					margin: 0 !important;
					padding: 5px !important;
					background: <?php echo $theme['main_bg']; ?> !important;
					border: 3px solid <?php echo $theme['main_border_color']; ?> !important;
					border-radius: 5px !important;
						-moz-border-radius: 5px !important;
						-webkit-border-radius: 5px !important;

					width: 350px !important;
				}

				.squeezepro-v3-code-<?php echo $id; ?> .bullets ul {
					padding: 0 !important;
					margin: 0 !important;
					list-style-type: none !important;
				}

					.squeezepro-v3-code-<?php echo $id; ?> .bullets ul li::before {
						display: none !important;
					}

					.squeezepro-v3-code-<?php echo $id; ?> .bullets ul li {
						background: url(<?php echo FUNNELVOODOO_URL .'tmpl/images/check.png'; ?>) no-repeat !important;
						background-position: 0 0.2em !important;
						margin-left: 10px !important;
						padding-left: 20px !important;
						padding-bottom: 5px !important;

						color: #000 !important;
					}

				.squeezepro-v3-code-<?php echo $id; ?> a.popup {
					text-decoration: none !important;
					color: <?php echo $themeConfig['options']['popup_color']; ?> !important;
				}

					.squeezepro-v3-code-<?php echo $id; ?> a.popup > div {
						text-align:center !important;
						padding: 10px !important;
						background: <?php echo $themeConfig['options']['popup_bg']; ?> !important;
						border: 3px solid <?php echo $themeConfig['options']['popup_bg']; ?> !important;
						border-radius: 5px !important;
							-moz-border-radius: 5px !important;
							-webkit-border-radius: 5px !important;
						color: <?php echo $themeConfig['options']['popup_color']; ?> !important;
						font-weight: bold !important;
						font-size: 16px !important;
					}

				.squeezepro-v3-code-<?php echo $id; ?> .optin {
					text-align: center !important;
				}

					.squeezepro-v3-code-<?php echo $id; ?> .optin .headline {
						color: <?php echo $theme['headline_color']; ?> !important;
						font-weight: <?php echo $theme['headline_bold']; ?> !important;
						padding: 10px !important;

						font-family: Arial, Helvetica, Sans-serif !important;
						text-align: center !important;
					}

					.squeezepro-v3-code-<?php echo $id; ?> .optin input[type="text"] {
						width: <?php echo $theme['txtbox_width']; ?> !important;
						margin: 5px !important;
						padding: 10px !important;
						border: 2px solid <?php echo $theme['txtbox_border_color']; ?> !important;
						font-size: <?php echo $theme['txtbox_fontsize']; ?> !important;
					}

					.squeezepro-v3-code-<?php echo $id; ?> .optin input[type="submit"] {
						padding: 10px !important;
						margin: 0 auto !important;
						margin-top: 15px !important;
						background: <?php echo $theme['btn_bg']; ?> !important;
						border: 2px solid <?php echo $theme['btn_border_color']; ?> !important;
						border-radius: 5px !important;
							-moz-border-radius: 5px !important;
							-webkit-border-radius: 5px !important;
						font-weight: <?php echo $theme['btn_bold']; ?> !important;
						font-size: <?php echo $theme['btn_fontsize']; ?> !important;
						color: <?php echo $theme['btn_color']; ?> !important;
					}

				.squeezepro-v3-code-<?php echo $id; ?> .privacy p {
					text-align: center !important;
					padding-top: 10px !important;
					font-size: 12px !important;
					color: #8c8089 !important;
				}
			</style>



			<div class="squeezepro-v3-code-<?php echo $id; ?>">
				<?php
				if (0 != strlen($optin['contents'])) {
					echo '<div class="content">';
						echo str_replace('\\', '', $optin['contents']);
					echo '</div>';
				}

				if ($aweber['enable'] == FUNNELVOODOO_ENABLED) {
					?>

					<div class="bullets">
						<?php
						if (0 != strlen($aweber['bullet_1']) || 0 != strlen($aweber['bullet_2']) || 0 != strlen($aweber['bullet_3'])) {
							echo '<ul>';
								echo (0 != strlen($aweber['bullet_1'])) ? '<li>'. $aweber['bullet_1'] .'</li>' : '';
								echo (0 != strlen($aweber['bullet_2'])) ? '<li>'. $aweber['bullet_2'] .'</li>' : '';
								echo (0 != strlen($aweber['bullet_3'])) ? '<li>'. $aweber['bullet_3'] .'</li>' : '';
							echo '</ul>';
						}
						?>
					</div> <br />


					<?php
					if ($popup['enable'] == FUNNELVOODOO_ENABLED) {
						$cssHeadline = 'color: '. $theme['headline_color'] .'!important;';
						$cssHeadline .= 'font-weight: '. $theme['headline_bold'] .'!important;';
						$cssHeadline .= 'padding:10px!important;';
						$cssHeadline .= 'font-family:Arial,Helvetica,Sans-serif!important;';
						$cssHeadline .= 'text-align:center!important;';

						$cssOptinFormInput = 'width: '. $theme['txtbox_width'] .'!important;';
						$cssOptinFormInput .= 'margin: 5px !important;';
						$cssOptinFormInput .= 'padding: 10px !important;';
						$cssOptinFormInput .= 'border: 2px solid '. $theme['txtbox_border_color'] .'!important;';
						$cssOptinFormInput .= 'font-size:'. $theme['txtbox_fontsize'] .'!important;';
						?>

						<a href="#dialog-optin-code-popup-<?php echo $id; ?>" name="cmdOptinPopup" id="cmdOptinPopup" class="popup">
							<?php
							if ($popup['btn_type'] == 'button') {
								echo '<div>'. $popup['btn'] .'</div>';
							}
							else {
								echo str_replace('\\', '', $popup['btn_img']);
							}
							?>
						</a>
						<div id="dialog-optin-code-popup-<?php echo $id; ?>" style="display:none;">
							<form method="POST" action="http://www.aweber.com/scripts/addlead.pl">
								<input type="hidden" name="meta_web_form_id" value="1256636276"/>
								<input type="hidden" name="meta_split_id" value=""/>
								<input type="hidden" name="listname" value="<?php echo $aweber['listname']; ?>"/>
								<input type="hidden" name="redirect" value="<?php echo $aweber['thankyou']; ?>" id="redirect_b221c6e90cbf15aa8cb43244834d4891"/>
								<input type="hidden" name="meta_redirect_onlist" value="<?php echo $aweber['thankyou']; ?>"/>
								<input type="hidden" name="meta_adtracking" value="My_Web_Form"/>
								<input type="hidden" name="meta_message" value="1"/>
								<input type="hidden" name="meta_required" value="name,email"/>
								<input type="hidden" name="meta_forward_vars" value=""/>
								<input type="hidden" name="meta_tooltip" value=""/>

								<div class="headline" style="<?php echo $cssHeadline; ?>">Fill in the form Below:</div>
								<div style="text-align:center!important;">
									<input type="text" name="name" id="name" placeholder="Enter name..." style="<?php echo $cssOptinFormInput; ?>" /> <br/>
									<input type="text" name="email" id="email" placeholder="Enter email address..." style="<?php echo $cssOptinFormInput; ?>" />

									<?php
									if ($popup['btn_type'] == 'image') {
										echo '<input type="image" id="submit_image_5f17aab77d6c" width="' . $theme['btn_img_size'] . '" src="' . $theme['btn_img_src'] . '" />';
									}
									else {
										echo '<input type="submit" id="submit_image_5f17aab77d6c" value="' . $theme['btn_value'] . '" style="padding:10px!important; margin-top:15px!important; background:'. $theme['btn_bg'] .'!important; border:2px solid '. $theme['btn_border_color'] .'!important; border-radius:5px!important; -moz-border-radius:5px!important; -webkit-border-radius:5px!important; font-weight:'. $theme['btn_bold'] .'!important; font-size:'. $theme['btn_fontsize'] .'!important; color:'. $theme['btn_color'] .'!important; font-family:Arial,Helvetica,Sans-Serif!important;" />';
									}
									?>
								</div>


								<?php
								if (0 != strlen($optin['privacy'])) {
									echo '<div class="privacy">';
									echo str_replace('\\', '', $optin['privacy']);
									echo '</div>';
								} else {
									echo '<div class="privacy" style="text-align:center; font-family:Arial,Helvetica,Sans-Serif!important; color:#8c8089!important; padding-top:10px!important; font-size:12px; text-align:center;"><a href="http://www.aweber.com/permission.html" target="_blank">Privacy</a></div>';
								}
								?>
							</form>
						</div>

						<?php
					}
					else {
						?>

						<form method="POST" action="http://www.aweber.com/scripts/addlead.pl">
							<input type="hidden" name="meta_web_form_id" value="1256636276"/>
							<input type="hidden" name="meta_split_id" value=""/>
							<input type="hidden" name="listname" value="<?php echo $aweber['listname']; ?>"/>
							<input type="hidden" name="redirect" value="<?php echo $aweber['thankyou']; ?>" id="redirect_b221c6e90cbf15aa8cb43244834d4891"/>
							<input type="hidden" name="meta_redirect_onlist" value="<?php echo $aweber['thankyou']; ?>"/>
							<input type="hidden" name="meta_adtracking" value="My_Web_Form"/>
							<input type="hidden" name="meta_message" value="1"/>
							<input type="hidden" name="meta_required" value="name,email"/>
							<input type="hidden" name="meta_forward_vars" value=""/>
							<input type="hidden" name="meta_tooltip" value=""/>

							<div class="optin">
								<div class="headline">Fill in the form Below:</div>
								<div style="text-align:center;">
									<input type="text" name="name" id="name" placeholder="Enter name..." /> <br/>
									<input type="text" name="email" id="email" placeholder="Enter email address..." />

									<?php
									if ($theme['btn_img'] == 'yes') {
										echo '<input type="image" id="submit_image_5f17aab77d6c" width="'. $theme['btn_img_size'] .'" src="'. $theme['btn_img_src'] .'" />';
									}
									else {
										echo '<input type="submit" id="submit_image_5f17aab77d6c" value="'. $theme['btn_value'] .'" />';
									}
									?>
								</div>
							</div>

							<?php
							if (0 != strlen($optin['privacy'])) {
								echo '<div class="privacy">';
									echo str_replace('\\', '', $optin['privacy']);
								echo '</div>';
							}
							else {
								echo '<div class="privacy" style="font-family:Arial,Helvetica,Sans-Serif!important; color:#8c8089!important; padding-top:10px!important; font-size:12px; text-align:center;"><a href="http://www.aweber.com/permission.html" target="_blank">Privacy</a></div>';
							}
							?>
						</form>

						<?php
					}
				}
				else {
					echo str_replace('\\', '', $aweber['contents']);
				}

				?>
			</div>
			<div style="clear:both!important;"></div>



			<?php
		}
	}

}

new funnelVoodooShortcodesOptins();