<?php
/**
 * Plugin Name: Funnel Voodoo
 * Plugin URI : http://voodoosuite.com
 * Description: Funnel Voodoo is an awesome tool created by voodoosuite.com.
 * Version: 3.0.2
 * Author: voodoosuite.com
 * Author URI: http://voodoosuite.com
 *
 *
 *
 * Filename: sp.php
 * Created by: Voodoo Suite Plugins
 * Copyright:2018 All Rights Reserved - Voodoo Suite Plugins
 *
 * Skype: blogprofitnetwork
 * Email: marcus@voodoosuite.com
 * GTalk: marcus@voodoosuite.com
 */
define ('_IN_MAIN_MODULE', 1);

include_once ('config.local.php');
include_once ('lib/_database.php');
include_once ('lib/_pages.php');
include_once ('lib/_metaboxes.php');
include_once ('lib/_shortcodes.php');
include_once ('lib/_shortcodes_optins.php');
include_once ('lib/_widgets.php');
include_once ('lib/_helpers.php');
include_once ('lib/_init.php');
include_once ('lib/_themes.php');

//* init variables
$funnelVoodooDatabase = new funnelVoodooDatabase();
$funnelVoodooHelpers  = new funnelVoodooHelpers();
$funnelVoodooThemes   = new funnelVoodooThemes();
$funnelVoodooWidgets  = new funnelVoodooWidgets();

//* hooks for table installation / uninstallation
register_activation_hook(__FILE__, array($funnelVoodooDatabase, 'install'));
register_deactivation_hook(__FILE__, array($funnelVoodooDatabase, 'uninstall'));

//* widgets
add_action('widgets_init', array($funnelVoodooWidgets, 'init'));

//* ajax
add_action('wp_ajax_sp-get-theme-details', array($funnelVoodooThemes, 'getThemeDetails'));
add_action('wp_ajax_sp-update-optin', array($funnelVoodooDatabase, 'updateOptin'));
add_action('wp_ajax_sp-update-affiliate', array($funnelVoodooDatabase, 'updateAffiliate'));
add_action('wp_ajax_sp-update-adsense', array($funnelVoodooDatabase, 'updateAdsense'));
add_action('wp_ajax_sp-update-thankyous', array($funnelVoodooDatabase, 'updateThankyous'));
add_action('wp_ajax_sp-update-sales', array($funnelVoodooDatabase, 'updateSales'));
add_action('wp_ajax_sp-update-recentcomments', array($funnelVoodooDatabase, 'updateRecentComments'));
add_action('wp_ajax_sp-update-recentposts', array($funnelVoodooDatabase, 'updateRecentPosts'));