<?php
/**
 * Filename: manage.optins.part.php
 * Created by: Voodoo Suite Plugins
 * Copyright 2017 - voodoosuite.com <marcus@voodoosuite.com> (http://voodoosuite.com)
 *
 * Skype: blogprofitnetwork
 * Email: marcus@voodoosuite.com
 * GTalk: marcus@voodoosuite.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

$optinsCount = FUNNELVOODOO_DEFAULT_COUNT_OPTINS;
?>


<div class="row">
	<div class="cell">
		<h3>Manage Opt-Ins</h3> <hr />
	</div>
</div>


<?php
if ( 0 != $optinsCount) {
	?>


	<div class="row">
		<div class="cell">
			<div class="ui-tabs-sub">
				<ul>
					<?php for ($tab = 1; $tab <= $optinsCount; $tab++) {
						echo '<li><a href="#tab-optin-'. $tab .'">#'. $tab .'</a></li>';
					} ?>
				</ul>


				<?php
				for ($o = 1; $o <= $optinsCount; $o++) {
					$optinsOptions = get_option($funnelVoodooDatabase->tableOptins .'_'. $o);
					if (!is_array($optinsOptions)) {
						$optinsOptions = $funnelVoodooDatabase->tableOptinsDefaults;
					}

					$theme = $optinsOptions['theme'];
					$themeid = (empty($theme['id'])) ? 'theme_3' : $theme['id'];
					?>


					<div id="tab-optin-<?php echo $o; ?>">
						<div class="row">
							<div class="cell">
								<h3>
									Optin <?php echo $o; ?>
									<span style="float:right;">
										<a href="javascript:void(0);" name="cmdCopyCodeOptin" id="cmdCopyCodeOptin" rel="<?php echo $o; ?>" data-clipboard-text="[<?php echo FUNNELVOODOO_CODE; ?>_optin id='<?php echo $o; ?>']" class="button button-secondary">
											<span class="icon mif-share"></span> Copy Shortcode
										</a>
									</span>
								</h3> <hr />
							</div>
						</div>


						<form name="optinForm" id="optinForm" method="POST" action="">
							<input type="hidden" name="<?php echo $o; ?>-optin-theme-btn-img" id="<?php echo $o; ?>-optin-theme-btn-img" value="<?php echo $theme['btn_img']; ?>" />
							<input type="hidden" name="<?php echo $o; ?>-optin-theme-btn-img-src" id="<?php echo $o; ?>-optin-theme-btn-img-src" value="<?php echo $theme['btn_img_src']; ?>" />




							<div class="row cells2">
								<div class="cell">
									<label for="<?php echo $o; ?>-optin-enable" class="input-control checkbox adjust-top">
										<input type="checkbox" name="<?php echo $o; ?>-optin-enable" id="<?php echo $o; ?>-optin-enable" rel="<?php echo $o; ?>" <?php checked($optinsOptions['enable'], FUNNELVOODOO_YES); ?> />
										<span class="check"></span>
										<span class="caption">Enable</span>
									</label>
								</div>
							</div> <br />


							<div class="row cells2">
								<div class="cell">
									<div class="input-control text full-size">
										<label for="<?php echo $o; ?>-optin-title">Title</label>
										<input type="text" name="<?php echo $o; ?>-optin-title" id="<?php echo $o; ?>-optin-title" rel="<?php echo $o; ?>" placeholder="Enter title" value="<?php echo $optinsOptions['title']; ?>" />
									</div>
								</div>

								<div class="cell">
									<label for="<?php echo $o; ?>-optin-title-hide" class="input-control checkbox adjust-top">
										<input type="checkbox" name="<?php echo $o; ?>-optin-title-hide" id="<?php echo $o; ?>-optin-title-hide" rel="<?php echo $o; ?>" <?php checked($optinsOptions['title_hide'], FUNNELVOODOO_YES); ?> />
										<span class="check"></span>
										<span class="caption">Hide Title</span>
									</label>
								</div>
							</div> <br />


							<!-- widgets -->
							<div class="row cells2">
								<div class="cell">
									<label for="<?php echo $o; ?>-optin-homepage" class="input-control checkbox adjust-top">
										<input type="checkbox" name="<?php echo $o; ?>-optin-homepage" id="<?php echo $o; ?>-optin-homepage" rel="<?php echo $o; ?>" <?php checked($optinsOptions['sidebar']['homepage'], FUNNELVOODOO_YES); ?> />
										<span class="check"></span>
										<span class="caption">Homepage</span>
									</label>
								</div>
							</div>
							<div class="row cells2">
								<div class="cell">
									<label for="<?php echo $o; ?>-optin-pages" class="input-control checkbox adjust-top">
										<input type="checkbox" name="<?php echo $o; ?>-optin-pages" id="<?php echo $o; ?>-optin-pages" rel="<?php echo $o; ?>" <?php checked($optinsOptions['sidebar']['pages'], FUNNELVOODOO_YES); ?> />
										<span class="check"></span>
										<span class="caption">Pages</span>
									</label>

									<div id="holder-<?php echo $o; ?>-optin-pagesid" class="input-control textbox full-size">
										<input type="text" name="<?php echo $o; ?>-optin-pagesid" id="<?php echo $o; ?>-optin-pagesid" placeholder="Enter PagesID. Comma separated." value="<?php echo $optinsOptions['sidebar']['pagesid']; ?>" />
									</div>
								</div>
							</div>
							<div class="row cells2">
								<div class="cell">
									<label for="<?php echo $o; ?>-optin-posts" class="input-control checkbox adjust-top">
										<input type="checkbox" name="<?php echo $o; ?>-optin-posts" id="<?php echo $o; ?>-optin-posts" rel="<?php echo $o; ?>" <?php checked($optinsOptions['sidebar']['posts'], FUNNELVOODOO_YES);?> />
										<span class="check"></span>
										<span class="caption">Posts</span>
									</label>

									<div id="holder-<?php echo $o; ?>-optin-postsid" class="input-control textbox full-size">
										<input type="text" name="<?php echo $o; ?>-optin-postsid" id="<?php echo $o; ?>-optin-postsid" placeholder="Enter PostsID. Comma separated." value="<?php echo $optinsOptions['sidebar']['postsid']; ?>" />
									</div>
								</div>
							</div> <br />
							<!-- // widgets -->


							<!-- contents -->
							<div class="row">
								<div class="cell">
									<label for="<?php echo $o; ?>-optin-contents">Contents</label>
									<?php
									wp_editor(str_replace('\\', '', $optinsOptions['contents']), $o .'-optin-contents', array(
										'textarea_name'	=> $o. '-optin-contents',
										'textarea_rows'	=> 5,
										'wpautop'		=> true,
										'media_buttons'	=> true
									));
									?>
								</div>
							</div> <br />
							<!-- // contents -->


							<!-- popup -->
							<div class="row cells2">
								<div class="cell">
									<label for="<?php echo $o; ?>-optin-popup-inline" class="input-control checkbox adjust-top">
										<input type="checkbox" name="<?php echo $o; ?>-optin-popup-inline" id="<?php echo $o; ?>-optin-popup-inline" <?php checked($optinsOptions['popup']['enable'], FUNNELVOODOO_YES); ?> />
										<span class="check"></span>
										<span class="caption">Inline Popup ( display aweber form as popup )</span>
									</label>
								</div>
							</div>
							<div class="row cells2">
								<div class="cell">
									<div class="input-control select full-size">
										<label for="<?php echo $o; ?>-optin-popup-btn-type">Button Type</label>
										<select name="<?php echo $o; ?>-optin-popup-btn-type" id="<?php echo $o; ?>-optin-popup-btn-type" rel="<?php echo $o; ?>" style="height:38px;">
											<?php if (0 != count($funnelVoodooHelpers->popupType)) {
												foreach ($funnelVoodooHelpers->popupType as $key => $popupType) {
													echo '<option value="'. $key .'" '. selected($optinsOptions['popup']['btn_type'], $key) .'>'. $popupType['name'] .'</option>';
												}
											} ?>
										</select>
									</div>
									<div id="holder-<?php echo $o; ?>-optin-popup-btn" class="input-control text full-size" style="display:none;">
										<input type="text" name="<?php echo $o; ?>-optin-popup-btn" id="<?php echo $o; ?>-optin-popup-btn" placeholder="Enter button name" value="<?php echo $optinsOptions['popup']['btn']; ?>" />
									</div>

									<div id="holder-<?php echo $o; ?>-optin-popup-btn-img" style="display:none;">
										<?php
										wp_editor(str_replace('\\', '', $optinsOptions['popup']['btn_img']), $o .'-optin-popup-btn-img', array(
											'textarea_name'	=> $o. '-optin-popup-btn-img',
											'textarea_rows'	=> 5,
											'wpautop'		=> true,
											'media_buttons'	=> true
										));
										?>
									</div>
								</div>
							</div> <br />
							<!-- // popup -->


							<!-- aweber -->
							<div class="row cells2">
								<div class="cell">
									<label for="<?php echo $o; ?>-optin-aweber" class="input-control checkbox adjust-top">
										<input type="checkbox" name="<?php echo $o; ?>-optin-aweber" id="<?php echo $o; ?>-optin-aweber" rel="<?php echo $o; ?>" <?php checked($optinsOptions['aweber']['enable'], FUNNELVOODOO_YES); ?> />
										<span class="check"></span>
										<span class="caption">Display Aweber</span>
									</label>
								</div>
							</div>
							<div id="holder-<?php echo $o; ?>-optin-is-aweber" style="display:none;">
								<div class="row cells2">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="<?php echo $o; ?>-optin-aweber-listname">Listname</label>
											<input type="text" name="<?php echo $o; ?>-optin-aweber-listname" id="<?php echo $o; ?>-optin-aweber-listname" placeholder="Enter aweber listname" value="<?php echo $optinsOptions['aweber']['listname']; ?>" />
										</div>
									</div>
								</div>
								<div class="row cells2">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="<?php echo $o; ?>-optin-aweber-thankyou">Thank You URL</label>
											<input type="text" name="<?php echo $o; ?>-optin-aweber-thankyou" id="<?php echo $o; ?>-optin-aweber-thankyou" placeholder="Enter thank you URL" value="<?php echo $optinsOptions['aweber']['thankyou']; ?>" />
										</div>
									</div>
								</div>
								<div class="row cells2">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="<?php echo $o; ?>-optin-aweber-bullet-1">Bullet 1</label>
											<input type="text" name="<?php echo $o; ?>-optin-aweber-bullet-1" id="<?php echo $o; ?>-optin-aweber-bullet-1" placeholder="Enter bullet 1" value="<?php echo $optinsOptions['aweber']['bullet_1']; ?>" />
										</div>
									</div>
								</div>
								<div class="row cells2">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="<?php echo $o; ?>-optin-aweber-bullet-2">Bullet 2</label>
											<input type="text" name="<?php echo $o; ?>-optin-aweber-bullet-2" id="<?php echo $o; ?>-optin-aweber-bullet-2" placeholder="Enter bullet 2" value="<?php echo $optinsOptions['aweber']['bullet_2']; ?>" />
										</div>
									</div>
								</div>
								<div class="row cells2">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="<?php echo $o; ?>-optin-aweber-bullet-3">Bullet 3</label>
											<input type="text" name="<?php echo $o; ?>-optin-aweber-bullet-3" id="<?php echo $o; ?>-optin-aweber-bullet-3" placeholder="Enter bullet 3" value="<?php echo $optinsOptions['aweber']['bullet_3']; ?>" />
										</div>
									</div>
								</div>
							</div>
							<div id="holder-<?php echo $o; ?>-optin-not-aweber" style="display:none;">
								<div class="row">
									<div class="cell">
										<label for="<?php echo $o; ?>-optin-aweber-contents">Contents</label>
										<?php wp_editor(str_replace('\\', '', $optinsOptions['aweber']['contents']), 'optin-'. $o .'-aweber-contents', array(
											'textarea_name'	=> 'optin-'. $o .'-aweber-contents',
											'textarea_rows'	=> 5,
											'wpautop'		=> true,
											'media_buttons'	=> true
										)); ?>
									</div>
								</div>
							</div> <br />
							<!-- // aweber -->


							<!-- privacy -->
							<div class="row">
								<div class="cell">
									<label for="<?php echo $o; ?>-optin-privacy">Privacy</label>
									<?php wp_editor(str_replace('\\', '', $optinsOptions['privacy']), $o .'-optin-privacy', array(
										'textarea_name'	=> $o .'-optin-privacy',
										'textarea_rows'	=> 5,
										'wpautop'		=> true,
										'media_buttons'	=> true
									)); ?>
								</div>
							</div> <br /><br />
							<!-- // privacy -->


							<!-- theme selection -->
							<div class="row cells2">
								<div class="cell">
									<div class="input-control select full-size">
										<label for="<?php echo $o; ?>-optin-theme">Themes</label>
										<?php
										$funnelVoodooThemes->loadThemes($o .'-optin-theme', $o .'-optin-theme', $o, $themeid);
										?>

										<div id="dialog-<?php echo $o; ?>-optin-theme" style="margin-top:10px;"></div>
									</div>
								</div>
							</div>
							<!-- // theme selection -->


							<div id="holder-<?php echo $o; ?>-optin-theme">
								<div class="row">
									<div class="cell">
										<h3>Theme Configuration for <span id="holder-<?php echo $o; ?>-optin-theme-title" style="text-decoration:underline!important;"></span></h3> <hr />
									</div>
								</div>

								<!-- theme - main -->
								<div class="row cells2">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="<?php echo $o; ?>-optin-theme-main-bg">Main Background Color</label>
											<input type="text" name="<?php echo $o; ?>-optin-theme-main-bg" id="<?php echo $o; ?>-optin-theme-main-bg" placeholder="Enter background color" value="<?php echo $theme['main_bg']; ?>" />
										</div>
									</div>
									<div class="cell">
										<div class="input-control text full-size">
											<label for="<?php echo $o; ?>-optin-theme-main-border-color">Main Border Color</label>
											<input type="text" name="<?php echo $o; ?>-optin-theme-main-border-color" id="<?php echo $o; ?>-optin-theme-main-border-color" placeholder="Enter main border color" value="<?php echo $theme['main_border_color']; ?>" />
										</div>
									</div>
								</div> <br />
								<!-- // theme - main -->

								<!-- theme - headline -->
								<div class="row cells2">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="<?php echo $o; ?>-optin-theme-headline-color">Headline Color</label>
											<input type="text" name="<?php echo $o; ?>-optin-theme-headline-color" id="<?php echo $o; ?>-optin-theme-headline-color" placeholder="Enter headline color" value="<?php echo $theme['headline_color']; ?>" />
										</div>
									</div>
									<div class="cell">
										<label for="<?php echo $o; ?>-optin-theme-headline-bold" class="input-control checkbox adjust-top">
											<input type="checkbox" name="<?php echo $o; ?>-optin-theme-headline-bold" id="<?php echo $o; ?>-optin-theme-headline-bold" <?php checked($theme['headline_bold'], 'bold'); ?> />
											<span class="check"></span>
											<span class="caption">Make Headline Text Bold?</span>
										</label>
									</div>
								</div> <br />
								<!-- // theme - headline -->

								<!-- theme - txtbox -->
								<div class="row cells3">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="<?php echo $o; ?>-optin-theme-txtbox-width">Textbox Width</label>
											<input type="text" name="<?php echo $o; ?>-optin-theme-txtbox-width" id="<?php echo $o; ?>-optin-theme-txtbox-width" placeholder="Enter textbox width" value="<?php echo $theme['txtbox_width']; ?>" />
										</div>
									</div>
									<div class="cell">
										<div class="input-control text full-size">
											<label for="<?php echo $o; ?>-optin-theme-txtbox-border-color">Textbox Border Color</label>
											<input type="text" name="<?php echo $o; ?>-optin-theme-txtbox-border-color" id="<?php echo $o; ?>-optin-theme-txtbox-border-color" placeholder="Enter textbox border color" value="<?php echo $theme['txtbox_border_color']; ?>" />
										</div>
									</div>
									<div class="cell">
										<div class="input-control text full-size">
											<label for="<?php echo $o; ?>-optin-theme-txtbox-fontsize">Textbox Font Size</label>
											<input type="text" name="<?php echo $o; ?>-optin-theme-txtbox-fontsize" id="<?php echo $o; ?>-optin-theme-txtbox-fontsize" placeholder="Enter textbox font size" value="<?php echo $theme['txtbox_fontsize']; ?>" />
										</div>
									</div>
								</div> <br />
								<!-- // theme - txtbox -->


								<!-- theme - btn image -->
								<div class="row" id="holder-<?php echo $o; ?>-optin-theme-btn-is-image">
									<div class="cell">
										<div class="row cell" id="holder-<?php echo $o; ?>-optin-theme-btn-image-preview"></div>

										<div class="row cells2">
											<div class="cell">
												<div class="input-control text full-size">
													<label for="<?php echo $o; ?>-optin-theme-btn-img-size">Submit Button Size ( in px )</label>
													<input type="text" name="<?php echo $o; ?>-optin-theme-btn-img-size" id="<?php echo $o; ?>-optin-theme-btn-img-size" place="Enter submit button size" value="<?php echo $theme['btn_img_size']; ?>" />
												</div>
											</div>
										</div>
									</div>

								</div>
								<!-- // theme - btn image -->
								
								<!-- theme - btn regular -->
								<div class="row" id="holder-<?php echo $o; ?>-optin-theme-btn-regular">
									<div class="cell">
										<div class="row cells2">
											<div class="cell">
												<div class="input-control text full-size">
													<label for="<?php echo $o; ?>-optin-theme-btn-value">Submit Button Value</label>
													<input type="text" name="<?php echo $o; ?>-optin-theme-btn-value" id="<?php echo $o; ?>-optin-theme-btn-value" placeholder="Enter submit button value" value="<?php echo $theme['btn_value']; ?>" />
												</div>
											</div>
											<div class="cell">
												<div class="input-control text full-size">
													<label for="<?php echo $o; ?>-optin-theme-btn-bg">Submit Button Background Color</label>
													<input type="text" name="<?php echo $o; ?>-optin-theme-btn-bg" id="<?php echo $o; ?>-optin-theme-btn-bg" placeholder="Enter submit button background color" value="<?php echo $theme['btn_bg']; ?>" />
												</div>
											</div>
										</div>
										<div class="row cells2">
											<div class="cell">
												<div class="input-control text full-size">
													<label for="<?php echo $o; ?>-optin-theme-btn-color">Submit Button Color</label>
													<input type="text" name="<?php echo $o; ?>-optin-theme-btn-color" id="<?php echo $o; ?>-optin-theme-btn-color" placeholder="Enter submit button color" value="<?php echo $theme['btn_color']; ?>" />
												</div>
											</div>
											<div class="cell">
												<div class="input-control text full-size">
													<label for="<?php echo $o; ?>-optin-theme-btn-border-color">Submit Button Border Color</label>
													<input type="text" name="<?php echo $o; ?>-optin-theme-btn-border-color" id="<?php echo $o; ?>-optin-theme-btn-border-color" placeholder="Enter submit button border color" value="<?php echo $theme['btn_color']; ?>" />
												</div>
											</div>
										</div>
										<div class="row cells2">
											<div class="cell">
												<div class="input-control text full-size">
													<label for="<?php echo $o; ?>-optin-theme-btn-fontsize">Submit Button Font size</label>
													<input type="text" name="<?php echo $o; ?>-optin-theme-btn-fontsize" id="<?php echo $o; ?>-optin-theme-btn-fontsize" placeholder="Enter submit button font size" value="<?php echo $theme['btn_fontize']; ?>" />
												</div>
											</div>
											<div class="cell">
												<label for="<?php echo $o; ?>-optin-theme-btn-bold" class="input-control checkbox adjust-top">
													<input type="checkbox" name="<?php echo $o; ?>-optin-theme-btn-bold" id="<?php echo $o; ?>-optin-theme-btn-bold" rel="<?php echo $o; ?>" <?php checked($theme['btn_bold'], 'bold'); ?> />
													<span class="check"></span>
													<span class="caption">Make submit button text bold?</span>
												</label>
											</div>
										</div>
									</div>
								</div> <br />
								<!-- // theme - btn regular -->

							</div>
							<!-- // themes -->


							<!-- submit -->
							<div class="row cells2">
								<div class="cell">
									<input type="submit" name="cmdSubmitOptin" id="cmdSubmitOptin" rel="<?php echo $o; ?>" class="button button-primary" value="Submit Changes for Optin <?php echo $o; ?>" />
									<span id="dialog-<?php echo $o; ?>-optin" style="margin-left:10px;"></span>
								</div>
							</div>
							<!-- // submit -->
						</form>
					</div>


					<?php
				}
				?>
			</div>
		</div>
	</div>


	<?php
}
?>



<script type="text/javascript">
	var optinsJs = jQuery.noConflict();
	optinsJs(function($) {
		//* shortcode - all
		var copyCodeOptin = new ZeroClipboard($('*[id=cmdCopyCodeOptin]'));
		copyCodeOptin.on('ready', function( readyEvent ) {
			copyCodeOptin.on('aftercopy', function( aftercopyEvent ) {
				aftercopyEvent.target.innerHTML = 'Shortcode copied!';
				setTimeout(function() {
					aftercopyEvent.target.innerHTML = '<span class="icon mif-share"></span> Copy Shortcode';
				}, 1000);
			});
		})


		//* submit
		$('input[id*=cmdSubmitOptin]').click(function() {
			var $this					= $(this),
				$id						= $this.attr('rel'),

				$isBtnImg				= $('#'+ $id +'-optin-theme-btn-img'),
				$btnImgSrc				= $('#'+ $id +'-optin-theme-btn-img-src'),

				$enable					= $('#'+ $id +'-optin-enable'),
				$title					= $('#'+ $id +'-optin-title'),
				$titleHide				= $('#'+ $id +'-optin-title-hide'),

				$homepage				= $('#'+ $id +'-optin-homepage'),
				$pages					= $('#'+ $id +'-optin-pages'),
				$pagesid				= $('#'+ $id +'-optin-pagesid'),
				$posts					= $('#'+ $id +'-optin-posts'),
				$postsid				= $('#'+ $id +'-optin-postsid'),

				$contents				= tinymceGetContent($id +'-optin-contents'),

				$popup					= $('#'+ $id +'-optin-popup-inline'),
				$popupType				= $('#'+ $id +'-optin-popup-btn-type'),
				$popupBtn				= $('#'+ $id +'-optin-popup-btn'),
				$popupImg				= tinymceGetContent($id +'-optin-popup-btn-img'),

				$aweber					= $('#'+ $id +'-optin-aweber'),
				$aweberListname			= $('#'+ $id +'-optin-aweber-listname'),
				$aweberThankyou			= $('#'+ $id +'-optin-aweber-thankyou'),
				$aweberBullet1			= $('#'+ $id +'-optin-aweber-bullet-1'),
				$aweberBullet2			= $('#'+ $id +'-optin-aweber-bullet-2'),
				$aweberBullet3			= $('#'+ $id +'-optin-aweber-bullet-3'),
				$aweberContents			= tinymceGetContent($id +'-optin-aweber-contents'),

				$privacy				= tinymceGetContent($id +'-optin-privacy'),

				$theme					= $('#'+ $id +'-optin-theme'),
				$themeMainBg			= $('#'+ $id +'-optin-theme-main-bg'),
				$themeMainBorderColor	= $('#'+ $id +'-optin-theme-main-border-color'),
				$themeHeadlineColor		= $('#'+ $id +'-optin-theme-headline-color'),
				$themeHeadlineBold		= $('#'+ $id +'-optin-theme-headline-bold'),
				$themeTxtboxWidth		= $('#'+ $id +'-optin-theme-txtbox-width'),
				$themeTxtboxBorderColor	= $('#'+ $id +'-optin-theme-txtbox-border-color'),
				$themeTxtboxFontsize	= $('#'+ $id +'-optin-theme-txtbox-fontsize'),
				$themeBtnImgSize		= $('#'+ $id +'-optin-theme-btn-img-size'),
				$themeBtnValue			= $('#'+ $id +'-optin-theme-btn-value'),
				$themeBtnBg				= $('#'+ $id +'-optin-theme-btn-bg'),
				$themeBtnColor			= $('#'+ $id +'-optin-theme-btn-color'),
				$themeBtnBorderColor	= $('#'+ $id +'-optin-theme-btn-border-color'),
				$themeBtnFontsize		= $('#'+ $id +'-optin-theme-btn-fontsize'),
				$themeBtnBold			= $('#'+ $id +'-optin-theme-btn-bold'),

				$dialog					= $('#dialog-'+ $id +'-optin'),

				$data					= {
					action					: 'sp-update-optin',
					id						: $id,

					enable					: $enable.is(':checked'),
					title					: $title.val(),
					titleHide				: $titleHide.is(':checked'),

					homepage				: $homepage.is(':checked'),
					pages					: $pages.is(':checked'),
					pagesid					: $pagesid.val(),
					posts					: $posts.is(':checked'),
					postsid					: $postsid.val(),

					contents				: $contents,

					popup					: $popup.is(':checked'),
					popupType				: $popupType.val(),
					popupBtn				: $popupBtn.val(),
					popupImg				: $popupImg,

					aweber					: $aweber.is(':checked'),
					aweberListname			: $aweberListname.val(),
					aweberThankyou			: $aweberThankyou.val(),
					aweberBullet1			: $aweberBullet1.val(),
					aweberBullet2			: $aweberBullet2.val(),
					aweberBullet3			: $aweberBullet3.val(),
					aweberContents			: $aweberContents,

					privacy					: $privacy,

					theme					: $theme.val(),
					themeMainBg				: $themeMainBg.val(),
					themeMainBorderColor	: $themeMainBorderColor.val(),
					themeHeadlineColor		: $themeHeadlineColor.val(),
					themeHeadlineBold		: $themeHeadlineBold.is(':checked'),
					themeTxtboxWidth		: $themeTxtboxWidth.val(),
					themeTxtboxBorderColor	: $themeTxtboxBorderColor.val(),
					themeTxtboxFontsize		: $themeTxtboxFontsize.val(),
					themeBtnImg				: $isBtnImg.val(),
					themeBtnImgSrc			: $btnImgSrc.val(),
					themeBtnImgSize			: $themeBtnImgSize.val(),
					themeBtnValue			: $themeBtnValue.val(),
					themeBtnBg				: $themeBtnBg.val(),
					themeBtnColor			: $themeBtnColor.val(),
					themeBtnBorderColor		: $themeBtnBorderColor.val(),
					themeBtnFontsize		: $themeBtnFontsize.val(),
					themeBtnBold			: $themeBtnBold.is(':checked')
				};

			$dialog.empty().append('<span class="icon mif-spinner2 mif-ani-spin"></span> Submitting data... Please wait!');
			$.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(res) {
				if (res == 'error') {
					$dialog.empty().append('<span class="icon mif-cross fg-red"></span> Data cannot be processed. Please try again!');
				}
				else {
					$dialog.empty().append('<span class="icon mif-checkmark fg-green"></span> Data has been successfully submitted.');
				}
			});
			return false;
		});


		//* themes
		$('select[id*=-optin-theme]').each(function() {
			var $this			= $(this),
				$id				= $this.attr('rel'),

				$dialog			= $('#dialog-'+ $id +'-optin-theme'),
				$title			= $('#holder-'+ $id +'-optin-theme-title'),
				$holder			= $('#holder-'+ $id +'-optin-theme'),

				$holderBtnIsImg	= $('#holder-'+ $id +'-optin-theme-btn-is-image'),
				$holderBtnIsReg	= $('#holder-'+ $id +'-optin-theme-btn-regular'),

				$isBtnImg		= $('#'+ $id +'-optin-theme-btn-img'),
				$imgSrc			= $('#'+ $id +'-optin-theme-btn-img-src');


			$title.empty().text($('option:selected', $this).text());

			if ($isBtnImg.val() == 'yes') {
				$holderBtnIsImg.slideDown();
				$holderBtnIsReg.slideUp();
				$('#holder-'+ $id +'-optin-theme-btn-image-preview').empty().append('<img src="'+ $imgSrc.val() +'" alt="" />');
			}
			else {
				$holderBtnIsImg.slideUp();
				$holderBtnIsReg.slideDown();
			}
		}).on('change', function() {
			var $this			= $(this),
				$id				= $this.attr('rel'),

				$dialog			= $('#dialog-'+ $id +'-optin-theme'),
				$title			= $('#holder-'+ $id +'-optin-theme-title'),
				$holder			= $('#holder-'+ $id +'-optin-theme'),

				$holderBtnIsImg	= $('#holder-'+ $id +'-optin-theme-btn-is-image'),
				$holderBtnIsReg	= $('#holder-'+ $id +'-optin-theme-btn-regular'),

				$isBtnImg		= $('#'+ $id +'-optin-theme-btn-img'),
				$imgSrc			= $('#'+ $id +'-optin-theme-btn-img-src'),

				$data			= {
					action	: 'sp-get-theme-details',
					id		: $this.val()
				};


			$holder.slideUp();
			$dialog.slideDown().empty().append('<span class="icon mif-spinner2 mif-ani-spin"></span> Requesting theme details... Please wait!');
			$.ajax({
				url		: '<?php echo admin_url('admin-ajax.php'); ?>',
				type	: 'POST',
				data	: $data,
				dataType: 'json',
				success	: function(res) {
					console.log(res);

					if (res == 'error') {
						$holder.slideUp();
						$dialog.empty().append('<span class="icon mif-notification fg-red"></span> There was a problem loading theme details. Please try again!');
					}
					else {
						$holder.slideDown();
						$dialog.slideUp();


						$title.empty().text($('option:selected', $this).text());
						$('#'+ $id +'-optin-theme-main-bg').val(res['options']['main_bg']);
						$('#'+ $id +'-optin-theme-main-border-color').val(res['options']['main_border_color']);
						$('#'+ $id +'-optin-theme-headline-color').val(res['options']['headline_color']);

						if (res['options']['headline_bold'] == 'bold') {
							$('#'+ $id +'-optin-theme-headline-bold').attr('checked', 'checked');
						}

						$('#'+ $id +'-optin-theme-txtbox-width').val(res['options']['txtbox_width']);
						$('#'+ $id +'-optin-theme-txtbox-border-color').val(res['options']['txtbox_border_color']);
						$('#'+ $id +'-optin-theme-txtbox-fontsize').val(res['options']['txtbox_fontsize']);
						$('#'+ $id +'-optin-theme-btn-img').val(res['options']['btn_img']);
						$('#'+ $id +'-optin-theme-btn-img-src').val(res['options']['btn_img_src']);
						$('#'+ $id +'-optin-theme-btn-img-size').val(res['options']['btn_img_size']);

						if (res['options']['btn_img'] == 'yes') {
							$holderBtnIsImg.slideDown();
							$holderBtnIsReg.slideUp();
							$('#holder-'+ $id +'-optin-theme-btn-image-preview').empty().append('<img src="'+ res['options']['btn_img_src'] +'" alt="" />');
						}
						else {
							$holderBtnIsImg.slideUp();
							$holderBtnIsReg.slideDown();
						}

						$('#'+ $id +'-optin-theme-btn-value').val(res['options']['btn_value']);
						$('#'+ $id +'-optin-theme-btn-bg').val(res['options']['btn_bg']);
						$('#'+ $id +'-optin-theme-btn-color').val(res['options']['btn_color']);
						$('#'+ $id +'-optin-theme-btn-border-color').val(res['options']['btn_border_color']);
						$('#'+ $id +'-optin-theme-btn-fontsize').val(res['options']['btn_fontsize']);

						if (res['options']['btn_bold'] == 'bold') {
							$('#'+ $id +'-optin-theme-btn-bold').attr('checked', 'checked');
						}
					}
				}
			});


		});


		//* aweber
		$('input[id*=-optin-aweber]').each(function() {
			var $this 		= $(this),
				$id			= $this.attr('rel'),
				$aweber		= $('#holder-'+ $id +'-optin-is-aweber'),
				$notAweber	= $('#holder-'+ $id +'-optin-not-aweber');

			if ($this.attr('type') == 'checkbox') {
				if ($this.is(':checked')) {
					$aweber.slideDown();
					$notAweber.slideUp();
				}
				else {
					$aweber.slideUp();
					$notAweber.slideDown();
				}
			}
			return true;
		}).click(function() {
			var $this 		= $(this),
				$id			= $this.attr('rel'),
				$aweber		= $('#holder-'+ $id +'-optin-is-aweber'),
				$notAweber	= $('#holder-'+ $id +'-optin-not-aweber');

			if ($this.attr('type') == 'checkbox') {
				if ($this.is(':checked')) {
					$aweber.slideDown();
					$notAweber.slideUp();
				}
				else {
					$aweber.slideUp();
					$notAweber.slideDown();
				}
			}
			return true;
		});


		//* popup button preview
		$('input[id*=-optin-popup-btn-img]').each(function() {
			var $this	= $(this),
				$id		= $this.attr('rel'),
				$holder	= $('#holder-'+ $id +'-optin-popup-btn-img-preview');

			$holder.empty().append('<img src="'+ $this.val() +'" alt="" />');
		});


		//* popup button img
		$('button[id*=cmdUploadPopupBtnImg').click(function() {
			var $this	= $(this),
				$id		= $this.attr('rel'),
				$img	= $('#'+ $id +'-optin-popup-btn-img'),
				$holder	= $('#holder-'+ $id +'-optin-popup-btn-img-preview');

			tb_show('Upload Custom Popup Button', 'media-upload.php?type=image&TB_iframe=true&post_id=0', false);

			window.restore_send_to_editor = window.send_to_editor;
			window.send_to_editor = function(html) {
				var imgUrl = $('<div>'+ html +'</div>').find('img').attr('src');

				$img.val(imgUrl);
				$holder.empty().append('<img src="'+ imgUrl +'" alt="" />');
				
				tb_remove();
			}

			return false;
		});


		//* button type
		$('select[id*=-optin-popup-btn-type]').each(function() {
			var $this	= $(this),
				$id		= $this.attr('rel'),
				$button	= $('#holder-'+ $id +'-optin-popup-btn'),
				$image	= $('#holder-'+ $id +'-optin-popup-btn-img');

			if ($this.val() == 'button') {
				$button.slideDown();
				$image.slideUp();
			}
			else {
				$button.slideUp();
				$image.slideDown();
			}
		}).on('change', function() {
			var $this	= $(this),
				$id		= $this.attr('rel'),
				$button	= $('#holder-'+ $id +'-optin-popup-btn'),
				$image	= $('#holder-'+ $id +'-optin-popup-btn-img');

			if ($this.val() == 'button') {
				$button.slideDown();
				$image.slideUp();
			}
			else {
				$button.slideUp();
				$image.slideDown();
			}
		});


		//* posts
		$('input[id*=-optin-posts]').each(function() {
			var $this 	= $(this),
				$id		= $this.attr('rel'),
				$holder	= $('#holder-'+ $id +'-optin-postsid');

			if ($this.attr('type') == 'checkbox') {
				if ($this.is(':checked')) {
					$holder.slideDown();
				}
				else {
					$holder.slideUp();
				}
			}
			return true;
		}).click(function() {
			var $this 	= $(this),
				$id		= $this.attr('rel'),
				$holder	= $('#holder-'+ $id +'-optin-postsid');

			if ($this.attr('type') == 'checkbox') {
				if ($this.is(':checked')) {
					$holder.slideDown();
				}
				else {
					$holder.slideUp();
				}
			}
			return true;
		});


		//* pages
		$('input[id*=-optin-pages]').each(function() {
			var $this 	= $(this),
				$id		= $this.attr('rel'),
				$holder	= $('#holder-'+ $id +'-optin-pagesid');

			if ($this.attr('type') == 'checkbox') {
				if ($this.is(':checked')) {
					$holder.slideDown();
				}
				else {
					$holder.slideUp();
				}
			}
			return true;
		}).click(function() {
			var $this 	= $(this),
				$id		= $this.attr('rel'),
				$holder	= $('#holder-'+ $id +'-optin-pagesid');

			if ($this.attr('type') == 'checkbox') {
				if ($this.is(':checked')) {
					$holder.slideDown();
				}
				else {
					$holder.slideUp();
				}
			}
			return true;
		});

	});
</script>
