<?php
/**
 * Filename: manage.sales.part.php
 * Created by: Voodoo Suite Plugins
 * Copyright 2017 - voodoosuite.com <marcus@voodoosuite.com> (http://voodoosuite.com)
 *
 * Skype: blogprofitnetwork
 * Email: marcus@voodoosuite.com
 * GTalk: marcus@voodoosuite.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

$salesCount = FUNNELVOODOO_DEFAULT_COUNT_SALES;
?>


<div class="row">
	<div class="cell">
		<h3>Manage Sales</h3> <hr />
	</div>
</div>


<?php
if (0 != $salesCount) {
	?>

	<div class="row">
		<div class="cell">
			<div class="ui-tabs-sub">
				<ul>
					<?php for ($tab = 1; $tab <= $salesCount; $tab++) {
						echo '<li><a href="#tab-sales-'. $tab .'">#'. $tab .'</a></li>';
					} ?>
				</ul>


				<?php
				for ($a = 1; $a <= $salesCount; $a++) {
					$salesOptions = get_option($funnelVoodooDatabase->tableSales .'_'. $a);
					if (!is_array($salesOptions)) {
						$salesOptions = $funnelVoodooDatabase->tableSalesDefaults;
					}
					?>


					<div id="tab-sales-<?php echo $a; ?>">
						<div class="row">
							<div class="cell">
								<h3>Sales <?php echo $a; ?></h3> <hr />
							</div>
						</div>


						<form name="salesForm" id="salesForm" method="POST" action="">
							<div class="row cells2">
								<div class="cell">
									<label for="<?php echo $a; ?>-sales-enable" class="input-control checkbox adjust-top">
										<input type="checkbox" name="<?php echo $a; ?>-sales-enable" id="<?php echo $a; ?>-sales-enable" rel="<?php echo $a; ?>" <?php checked($salesOptions['enable'], FUNNELVOODOO_YES); ?> />
										<span class="check"></span>
										<span class="caption">Enable</span>
									</label>
								</div>
							</div> <br />


							<div class="row cells2">
								<div class="cell">
									<div class="input-control text full-size">
										<label for="<?php echo $a; ?>-sales-title">Title</label>
										<input type="text" name="<?php echo $a; ?>-sales-title" id="<?php echo $a; ?>-sales-title" rel="<?php echo $a; ?>" placeholder="Enter title" value="<?php echo $salesOptions['title']; ?>" />
									</div>
								</div>

								<div class="cell">
									<label for="<?php echo $a; ?>-sales-title-hide" class="input-control checkbox adjust-top">
										<input type="checkbox" name="<?php echo $a; ?>-sales-title-hide" id="<?php echo $a; ?>-sales-title-hide" rel="<?php echo $a; ?>" <?php checked($salesOptions['title_hide'], FUNNELVOODOO_YES); ?> />
										<span class="check"></span>
										<span class="caption">Hide Title</span>
									</label>
								</div>
							</div> <br />


							<!-- widgets -->
							<div class="row cells2">
								<div class="cell">
									<label for="<?php echo $a; ?>-sales-homepage" class="input-control checkbox adjust-top">
										<input type="checkbox" name="<?php echo $a; ?>-sales-homepage" id="<?php echo $a; ?>-sales-homepage" rel="<?php echo $a; ?>" <?php checked($salesOptions['sidebar']['homepage'], FUNNELVOODOO_YES); ?> />
										<span class="check"></span>
										<span class="caption">Homepage</span>
									</label>
								</div>
							</div>
							<div class="row cells2">
								<div class="cell">
									<label for="<?php echo $a; ?>-sales-pages" class="input-control checkbox adjust-top">
										<input type="checkbox" name="<?php echo $a; ?>-sales-pages" id="<?php echo $a; ?>-sales-pages" rel="<?php echo $a; ?>" <?php checked($salesOptions['sidebar']['pages'], FUNNELVOODOO_YES); ?> />
										<span class="check"></span>
										<span class="caption">Pages</span>
									</label>

									<div id="holder-<?php echo $a; ?>-sales-pagesid" class="input-control textbox full-size">
										<input type="text" name="<?php echo $a; ?>-sales-pagesid" id="<?php echo $a; ?>-sales-pagesid" placeholder="Enter PagesID. Comma separated." value="<?php echo $salesOptions['sidebar']['pagesid']; ?>" />
									</div>
								</div>
							</div>
							<div class="row cells2">
								<div class="cell">
									<label for="<?php echo $a; ?>-sales-posts" class="input-control checkbox adjust-top">
										<input type="checkbox" name="<?php echo $a; ?>-sales-posts" id="<?php echo $a; ?>-sales-posts" rel="<?php echo $a; ?>" <?php checked($salesOptions['sidebar']['posts'], FUNNELVOODOO_YES);?> />
										<span class="check"></span>
										<span class="caption">Posts</span>
									</label>

									<div id="holder-<?php echo $a; ?>-sales-postsid" class="input-control textbox full-size">
										<input type="text" name="<?php echo $a; ?>-sales-postsid" id="<?php echo $a; ?>-sales-postsid" placeholder="Enter PostsID. Comma separated." value="<?php echo $salesOptions['sidebar']['postsid']; ?>" />
									</div>
								</div>
							</div> <br />
							<!-- // widgets -->


							<!-- contents -->
							<div class="row">
								<div class="cell">
									<label for="<?php echo $a; ?>-sales-contents">Contents</label>
									<?php
									wp_editor(str_replace('\\', '', $salesOptions['contents']), $a .'-sales-contents', array(
										'textarea_name'	=> $a. '-sales-contents',
										'textarea_rows'	=> 5,
										'wpautop'		=> true,
										'media_buttons'	=> true
									));
									?>
								</div>
							</div> <br />
							<!-- // contents -->


							<!-- submit -->
							<div class="row cells2">
								<div class="cell">
									<input type="submit" name="cmdSubmitSales" id="cmdSubmitSales" rel="<?php echo $a; ?>" class="button button-primary" value="Submit Changes for Sales <?php echo $a; ?>" />
									<span id="dialog-<?php echo $a; ?>-sales" style="margin-left:10px;"></span>
								</div>
							</div>
							<!-- // submit -->

						</form>
					</div>


					<?php
				}
				?>
			</div>
		</div>
	</div>

	<?php
}
?>


<script type="text/javascript">
	var salesJs = jQuery.noConflict();
	salesJs(function($) {
		//* submit
		$('input[id*=cmdSubmitSales]').click(function() {
			var $this					= $(this),
				$id						= $this.attr('rel'),

				$enable					= $('#'+ $id +'-sales-enable'),
				$title					= $('#'+ $id +'-sales-title'),
				$titleHide				= $('#'+ $id +'-sales-title-hide'),

				$homepage				= $('#'+ $id +'-sales-homepage'),
				$pages					= $('#'+ $id +'-sales-pages'),
				$pagesid				= $('#'+ $id +'-sales-pagesid'),
				$posts					= $('#'+ $id +'-sales-posts'),
				$postsid				= $('#'+ $id +'-sales-postsid'),

				$contents				= tinymceGetContent($id +'-sales-contents'),

				$dialog					= $('#dialog-'+ $id +'-sales'),

				$data					= {
					action					: 'sp-update-sales',
					id						: $id,

					enable					: $enable.is(':checked'),
					title					: $title.val(),
					titleHide				: $titleHide.is(':checked'),

					homepage				: $homepage.is(':checked'),
					pages					: $pages.is(':checked'),
					pagesid					: $pagesid.val(),
					posts					: $posts.is(':checked'),
					postsid					: $postsid.val(),

					contents				: $contents
				};

			$dialog.empty().append('<span class="icon mif-spinner2 mif-ani-spin"></span> Submitting data... Please wait!');
			$.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(res) {
				if (res == 'error') {
					$dialog.empty().append('<span class="icon mif-cross fg-red"></span> Data cannot be processed. Please try again!');
				}
				else {
					$dialog.empty().append('<span class="icon mif-checkmark fg-green"></span> Data has been successfully submitted.');
				}
			});
			return false;
		});


		//* posts
		$('input[id*=-sales-posts]').each(function() {
			var $this 	= $(this),
				$id		= $this.attr('rel'),
				$holder	= $('#holder-'+ $id +'-sales-postsid');

			if ($this.attr('type') == 'checkbox') {
				if ($this.is(':checked')) {
					$holder.slideDown();
				}
				else {
					$holder.slideUp();
				}
			}
			return true;
		}).click(function() {
			var $this 	= $(this),
				$id		= $this.attr('rel'),
				$holder	= $('#holder-'+ $id +'-sales-postsid');

			if ($this.attr('type') == 'checkbox') {
				if ($this.is(':checked')) {
					$holder.slideDown();
				}
				else {
					$holder.slideUp();
				}
			}
			return true;
		});


		//* pages
		$('input[id*=-sales-pages]').each(function() {
			var $this 	= $(this),
				$id		= $this.attr('rel'),
				$holder	= $('#holder-'+ $id +'-sales-pagesid');

			if ($this.attr('type') == 'checkbox') {
				if ($this.is(':checked')) {
					$holder.slideDown();
				}
				else {
					$holder.slideUp();
				}
			}
			return true;
		}).click(function() {
			var $this 	= $(this),
				$id		= $this.attr('rel'),
				$holder	= $('#holder-'+ $id +'-sales-pagesid');

			if ($this.attr('type') == 'checkbox') {
				if ($this.is(':checked')) {
					$holder.slideDown();
				}
				else {
					$holder.slideUp();
				}
			}
			return true;
		});
	});
</script>
